/* 
   orxonox - the future of 3D-vertical-scrollers

   Copyright (C) 2004 orx

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software Foundation,
   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  


   ### File Specific:
   main-programmer: Benjamin Grauer

*/

#include "orxonox_gui_banner.h"
#include "banner.xpm"
#include "logo.xpm"

/**
   \brief Creates a new BannerEventBox and its content.
*/
OrxonoxGuiBanner::OrxonoxGuiBanner(void)
{
  // Banner Itself //
  this->bannerEventBox = new EventBox("BannerEventBox");
  this->bannerImage = new Image(banner_xpm);
  this->bannerEventBox->fill(this->bannerImage);

  // Banner Window //
  this->logoWindow = new Window("Logo");

#ifdef HAVE_GTK2
  this->bannerEventBox->connectSignal("button_press_event", this->logoWindow, Window::windowOpen);

  this->logoWindow->connectSignal("destroy", this->logoWindow, Window::windowClose);
  this->logoWindow->connectSignal("delete_event", this->logoWindow, Window::windowClose);
#endif /* HAVE_GTK2 */
  this->logoEventBox = new EventBox();
  this->logoBox = new Box('v');
  this->logoLabel = new Label("orxonox, version: " PACKAGE_VERSION);
  this->logoBox->fill(this->logoLabel);
  this->logoImage = new Image(logo_xpm);
  this->logoBox->fill(this->logoImage);

  //! \todo add the names of all the guys working on orxonox
  this->orxIsLabel = new Label("orxonox is:\nPatrick Boenzli - main Developer\nBenjamin Grauer - right Hand\n....");
  this->logoBox->fill(this->orxIsLabel);
  this->logoEventBox->fill(this->logoBox);
#ifdef HAVE_GTK2
  this->logoEventBox->connectSignal("button_press_event", this->logoWindow, Window::windowClose);
#endif /* HAVE_GTK2 */

  this->logoWindow->fill(this->logoEventBox);
  
  Window::addWindow(this->logoWindow);

  this->setMainWidget(bannerEventBox);
}

/**
   \brief Destructs it.
*/
OrxonoxGuiBanner::~OrxonoxGuiBanner(void)
{
  // nothing to do here
}
